Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.io
Class WriterCharWriter

    java.lang.Object
      org.jboss.portal.common.io.WriterCharWriter

All Implemented Interfaces:
  CharWriter

    public class WriterCharWriter

extends java.lang.Object
implements CharWriter

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Constructor Summary
`WriterCharWriter(java.io.Writer writer)`

Method Summary
`CharWriter` | `append(char c)`
`CharWriter` | `append(char[] chars)`
`CharWriter` | `append(char[] chars, int off, int len)`
`CharWriter` | `append(java.lang.CharSequence s)`
`void` | `close()`
`void` | `flush()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriterCharWriter

    public WriterCharWriter(java.io.Writer writer)
                     throws java.lang.IllegalArgumentException

Parameters:
  `writer` - the target writer
Throws:
  `java.lang.IllegalArgumentException` - if the writer is null

Method Detail

### append

    public CharWriter append(char c)
                      throws UndeclaredIOException

  Specified by:
    `append` in interface `CharWriter`
  Throws:
    `UndeclaredIOException`

### append

    public CharWriter append(char[] chars,
                             int off,
                             int len)
                      throws UndeclaredIOException

  Specified by:
    `append` in interface `CharWriter`
  Throws:
    `UndeclaredIOException`

### append

    public CharWriter append(char[] chars)
                      throws UndeclaredIOException

  Specified by:
    `append` in interface `CharWriter`
  Throws:
    `UndeclaredIOException`

### append

    public CharWriter append(java.lang.CharSequence s)
                      throws UndeclaredIOException

  Specified by:
    `append` in interface `CharWriter`
  Throws:
    `UndeclaredIOException`

### flush

    public void flush()
               throws UndeclaredIOException

  Throws:
    `UndeclaredIOException`

### close

    public void close()
               throws UndeclaredIOException

  Throws:
    `UndeclaredIOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.